package aji;

import org.eclipse.swt.SWT;
import org.eclipse.swt.events.SelectionEvent;
import org.eclipse.swt.events.SelectionListener;
//import org.eclipse.swt.graphics.Color;
//import org.eclipse.swt.graphics.Image;
import org.eclipse.swt.widgets.Button;
import org.eclipse.swt.widgets.Composite;

/*
 * 作成日: 2005/11/04
 *
 * TODO この生成されたファイルのテンプレートを変更するには次へジャンプ:
 * ウィンドウ - 設定 - Java - コード・スタイル - コード・テンプレート
 */

/**
 * @author C218
 *
 * TODO この生成された型コメントのテンプレートを変更するには次へジャンプ:
 * ウィンドウ - 設定 - Java - コード・スタイル - コード・テンプレート
 */
public class MainWin{
	Composite comp;
	Singleton instance = Singleton.getInstance();
	public MainWin(){
    
	}
	public void visiWin(){
		comp.setVisible(false);
	}
	//メインになる画面を作る
	public void make_Win(){

		comp = new Composite(instance.getShell(), SWT.NONE);
		comp.setSize(800,520);


        Button buttonX = new Button(comp, SWT.PUSH);
        buttonX.setBounds(150,50,200,150);
        buttonX.setText("検索");
        //Image image = new Image(BaseWin.display, "sakura.bmp");
        //buttonX.setImage(image);
        buttonX.addSelectionListener(new SelectionListener(){ 	  	
			public void widgetSelected(SelectionEvent arg0) {
				// TODO 自動生成されたメソッド・スタブ
				visiWin();
				//new ChangeWin().change();
				//レシピを検索する画面を作る
				new SearchSel().make_Search();
			}

			public void widgetDefaultSelected(SelectionEvent arg0) {
				// TODO 自動生成されたメソッド・スタブ
				
			}
        });
        //buttonX.setText("検索");
        
        Button bt2 = new Button(comp,SWT.PUSH);
        bt2.setBounds(450,50,200,150);
        bt2.setText("追加");
        bt2.addSelectionListener(new SelectionListener(){ 	  	
			public void widgetSelected(SelectionEvent arg0) {
				// TODO 自動生成されたメソッド・スタブ
				visiWin();
				//new SearchSel().make_Search();
				new InsertWindow();
			}

			public void widgetDefaultSelected(SelectionEvent arg0) {
				// TODO 自動生成されたメソッド・スタブ
				
			}
        });
        
        Button bt3 = new Button(comp,SWT.PUSH);
        bt3.setBounds(150,280,200,150);
        bt3.setText("らんだむ？");
        bt3.addSelectionListener(new SelectionListener(){ 	  	
			public void widgetSelected(SelectionEvent arg0) {
				// TODO 自動生成されたメソッド・スタブ
				visiWin();
				
			}

			public void widgetDefaultSelected(SelectionEvent arg0) {
				// TODO 自動生成されたメソッド・スタブ
				
			}
        });
        
        Button bt4 = new Button(comp,SWT.PUSH);
        bt4.setBounds(450,280,200,150);
        bt4.setText("らんきんぐ？");
        bt4.addSelectionListener(new SelectionListener(){ 	  	
			public void widgetSelected(SelectionEvent arg0) {
				// TODO 自動生成されたメソッド・スタブ
				visiWin();
				
			}

			public void widgetDefaultSelected(SelectionEvent arg0) {
				// TODO 自動生成されたメソッド・スタブ
				
			}
        });
        
        
        comp.setVisible(true);
	}
}
